Bug 149509 - Can't install libgcc-3.4.3-9.EL4.i386.rpm on ia64
Can't install libgcc-3.4.3-9.EL4.i386.rpm on ia64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 13:10 EST by H.J. Lu
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 14:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2005-02-23 13:10:13 EST
I got

[root@gnu-2 RPMS]# rpm -Uvh libgcc-3.4.3-9.EL4.i386.rpm
warning: libgcc-3.4.3-9.EL4.i386.rpm: V3 DSA signature: NOKEY, key ID
db42a60e
Preparing...               
########################################### [100%]
        package libgcc-3.4.3-9.EL4 is already installed
[root@gnu-2 RPMS]# rpm -ivh libgcc-3.4.3-9.EL4.i386.rpm
warning: libgcc-3.4.3-9.EL4.i386.rpm: V3 DSA signature: NOKEY, key ID
db42a60e
Preparing...               
########################################### [100%]
        package libgcc-3.4.3-9.EL4 is already installed
Comment 1 Jakub Jelinek 2005-02-23 13:23:41 EST
If it was already installed, then it wouldn't surprise me.
See if you have /emul/ia32-linux/lib/libgcc_s*
rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' libgcc
would be helpful too.
Comment 2 H.J. Lu 2005-02-23 13:26:00 EST
No, it was installed. I had to use

# rpm -Uvh libgcc-3.4.3-9.EL4.i386.rpm --force

to install it.
Comment 3 Jakub Jelinek 2005-02-23 16:21:54 EST
Anyway, doesn't sound like gcc bug.
Comment 4 Jay Turner 2005-02-24 10:43:35 EST
I wonder if it got installed before ia32el was installed/started.  Would
probably have caused some ugliness, but might very well have led to this
outcome. H.J, any chance that's what happened?
Comment 5 H.J. Lu 2005-02-24 14:55:00 EST
That could be what happened. After removing libgcc-3.4.3-9.EL4.i386,
I can install libgcc-3.4.3-9.EL4.i386.rpm without problem.

Note You need to log in before you can comment on or make changes to this bug.